Package net.shibboleth.idp.saml.saml2.profile.config.logic

# Class SOAPErrorPredicate

java.lang.Object
net.shibboleth.profile.context.logic.AbstractRelyingPartyPredicate
net.shibboleth.idp.saml.saml2.profile.config.logic.SOAPErrorPredicate

All Implemented Interfaces:
  `Predicate<ProfileRequestContext>`

public class SOAPErrorPredicate extends AbstractRelyingPartyPredicate
Predicate that decides whether to handle an error by returning a SOAP fault to a requester or fail locally.

Most ECP errors that don't result in a SAML Response should be handled with a SOAP fault, but this can be overriden to accomodate special needs of clients, particularly when dealing with login failure.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,EventContext>`
`eventContextLookupStrategy`
Strategy function for access to `EventContext` to check.
`private final org.slf4j.Logger`
`log`
Class logger.

## Constructor Summary

Constructors
Constructor
Description
`SOAPErrorPredicate()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`setEventContextLookupStrategy(Function<ProfileRequestContext,EventContext> strategy)`
Set lookup strategy for `EventContext` to check.
`boolean`
`test(ProfileRequestContext input)`

### Methods inherited from class net.shibboleth.profile.context.logic.AbstractRelyingPartyPredicate

`getRelyingPartyContext, getRelyingPartyContextLookupStrategy, setRelyingPartyContextLookupStrategy`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

### eventContextLookupStrategy

@Nonnull private Function<ProfileRequestContext,EventContext> eventContextLookupStrategy
Strategy function for access to `EventContext` to check.

## Constructor Details

### SOAPErrorPredicate

public SOAPErrorPredicate()
Constructor.

## Method Details

### setEventContextLookupStrategy

public void setEventContextLookupStrategy(@Nonnull Function<ProfileRequestContext,EventContext> strategy)
Set lookup strategy for `EventContext` to check.

Parameters:
  `strategy` - lookup strategy

### test

public boolean test(@Nullable ProfileRequestContext input)